Bug 38611 - XFree86 -4.0.3 ARK Driver with ADI Monitor - Must use VESA instead of ARK
XFree86 -4.0.3 ARK Driver with ADI Monitor - Must use VESA instead of ARK
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-05-01 13:49 EDT by john.himpel
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-11-13 09:16:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Does not work (16.89 KB, text/plain)
2001-05-08 10:46 EDT, john.himpel
no flags Details
Log for Does Not Work (14.61 KB, text/plain)
2001-05-08 10:48 EDT, john.himpel
no flags Details
Does Work (16.89 KB, text/plain)
2001-05-08 10:49 EDT, john.himpel
no flags Details
Log for Does Work (12.76 KB, text/plain)
2001-05-08 10:50 EDT, john.himpel
no flags Details

  None (edit)
Description john.himpel 2001-05-01 13:49:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en]C-CCK-MCD   (WinNT; U)

My Diamond Stealth Graphics 2001 PCI card with 2MB of memory used an ARK2000PV chip.  I am using it with a ADI 5EP monitor.  Redhat 
7.1 install thinks the card is an ARK2000MT.  When I use the ARK Driver, I get something resembling a reduced sized display with bad colors 
and the top of the image is on the bottom of the display while the bottom of the image is on the top of the display.  By simply changing the 
Driver setting to VESA, all of this goes away.  No other changes were made to the XFConfig-4 file.  Problem was also present on 
Also <Alt><KP><-/+> don't work under the VESA driver.  XFree86.log available upon request.

Reproducible: Always
Steps to Reproduce:
1.Install Redhat 7.1
2.Chose ARK card
3.Chose ADI 5EP monitor

Actual Results:  Display is wrong colors.
Top of Image is at bottom of monitor
Bottom of Image is at top of monitor
Image not square (;like looking into mirror at fun-housr)

Expected Results:  Proper display of image

Under XFree86-3.x.x series, I would have to go to windows to initialize the card and then warm boot into Linux before things would work 
properly.  This does not seem to fix the problem in XFree86-4.0.3.
Comment 1 Mike A. Harris 2001-05-04 23:52:20 EDT
What happens if you use XFree 3.3.6?  Try using:

Xconfigurator --preferxf3

Also, before doing that, send me your config file for 4, and also a log
from after you experience the problem.
Comment 2 john.himpel 2001-05-08 10:46:59 EDT
Created attachment 17726 [details]
Does not work
Comment 3 john.himpel 2001-05-08 10:48:50 EDT
Created attachment 17727 [details]
Log for Does Not Work
Comment 4 john.himpel 2001-05-08 10:49:46 EDT
Created attachment 17728 [details]
Does Work
Comment 5 john.himpel 2001-05-08 10:50:40 EDT
Created attachment 17729 [details]
Log for Does Work
Comment 6 john.himpel 2001-05-08 10:55:31 EDT
The behavior using XFree86-3.3.x under RedHat 7.0 was very similar to what I see using the ARK driver under XFree86-4.0.3.  Except that 
initializing the card first in MS-Win95 and rebooting into Linux (sometimes required several iterations), seemed to fix the problem in 
Xfree86-3.3.x.  This same procedure does not seem to fix the problem using the ARK driver in XFree86-4.0.3.
Comment 7 Mike A. Harris 2001-11-06 06:16:41 EST
Is this problem still present in XFree86 4.1.0-3 in Red Hat Linux 7.2?
If so, I would like to have you try some things to try and narrow down
the problem area, as I do not have this hardware to test on.  Once we
can narrow it down, we may be able to find a workaround, if not a full
Comment 8 john.himpel 2001-11-06 06:38:48 EST
Last night I began the process to remove the Ximian RPMS in order to upgrade to 
7.2.  I still have some downloading to finish.  When that becomes stable, I will 
purchase the box set of 7.2 :-) and upgrade.
When that is finished, I will get back to you.
Thanks for following up.
PS: As I am member of the XFree86 Documentation Team, I see your efforts from 
several views via e-mail lists.  I appreciate all you do.
Comment 9 Mike A. Harris 2001-11-06 08:43:23 EST

We can test various levels of disabling things to narrow the prob
down once you've upgraded.  Perhaps there is some 3.3.6 code that
can be stolen and ported to 4.x to stabilize things...

Take care
Comment 10 john.himpel 2001-11-13 09:16:02 EST

You can close this ticket.  The problem was resolved by a fresh install of 
RedHat 7.2


Comment 11 Mike A. Harris 2001-11-13 11:13:13 EST
Ok, thanks.

Note You need to log in before you can comment on or make changes to this bug.